routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/exceltopdf', 'ExcelController@index')->name('exceltopdf');
Route::get('/excel', 'ExcelController@getXlsx')->name('xlsx');

Route::get('/register', function(){return redirect('/');})->name('register');
Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');

// Startpage
Route::get('/', function () { return view('welcome'); })->name('welcome');
Route::get('/impressum', function(){ return view('main.impressum'); })->name('main.impressum');
Route::get('/agb', function(){ return view('main.agb'); })->name('main.agb');
Route::get('/datenschutz', function(){ return view('main.datenschutz'); })->name('main.datenschutz');
Route::get('/faq', function(){ return view('main.faq'); })->name('main.faq');
Route::get('/versand-und-zahlungsbedingungen', function(){ return view('main.versand-und-zahlungsbedingungen'); })->name('main.versand-und-zahlungsbedingungen');
Route::get('/widerrufsrecht', function(){ return view('main.widerrufsrecht'); })->name('main.widerrufsrecht');
Route::get('/zahlungsarten', function(){ return view('main.zahlungsarten'); })->name('main.zahlungsarten');
Route::get('/newsletter-anmelden', function(){ return view('main.newsletter.anmelden'); })->name('main.newsletter.anmelden');
Route::get('/autogrammkarten', function(){ return view('main.autogrammkarten'); })->name('main.autogrammkarten');
Route::get('/ernaehrungsportal', function(){ return view('main.ernaehrungsportal'); })->name('main.ernaehrungsportal');
Route::get('/fussballtraining', function(){ return view('main.fussballtraining'); })->name('main.fussballtraining');
Route::get('/verletzungsportal', function(){ return view('main.verletzungsportal'); })->name('main.verletzungsportal');
Route::get('/preise', function(){ return view('main.preise'); })->name('main.preise');
Route::get('/telefonliste', function(){ return view('main.telefonliste'); })->name('main.telefonliste');
Route::get('/rueckennummern', function(){ return view('main.rueckennummern'); })->name('main.rueckennummern');
Route::get('/strafen-und-mannschaftskasse', function(){ return view('main.strafen-und-mannschaftskasse'); })->name('main.strafen-und-mannschaftskasse');

//Kontakt
Route::get('/kontakt', function(){ return view('main.kontakt.index'); })->name('main.kontakt.index');
Route::post('/kontakt', 'ContactController@send' )->name('main.kontakt.send');

// BLOG
Route::post('/fussball-news/suchen', 'BlogController@searchRedirect')->name('blog.search.redirect');
Route::get('/fussball-news/suchen/{search?}', 'BlogController@search')->name('blog.search');
Route::get('/fussball-news/{category?}/{subcategory?}', 'BlogController@index')->name('blog.index');
Route::get('/fussball-news/{category}/{subcategory}/{slug}-{id}', 'BlogController@show')->name('blog.show')->where('slug', '.*(?=-)');

// TRAININGSÜBUNGEN
Route::post('/trainingsuebungen/suchen', 'WorkoutController@searchRedirect')->name('workout.search.redirect');
Route::get('/trainingsuebungen/suchen/{search?}', 'WorkoutController@search')->name('workout.search');
Route::get('/trainingsuebungen/{category?}/{subcategory?}', 'WorkoutController@index')->name('workout.index');
Route::get('/trainingsuebungen/{category}/{subcategory}/{slug}-{id}', 'WorkoutController@show')->name('workout.show')->where('slug', '.*(?=-)');

// GAMEFIELD-PLANER
Route::get('/spielfeldplaner', 'GamefieldController@index')->name('gamefield');


//Search Engine
Route::get('/vereinsverzeichnis/', 'SearchController@index')->name('search.index');
Route::get('/vereinsverzeichnis/search/{text?}', 'SearchController@search')->name('search.search');
Route::get('/vereinsverzeichnis/verein/{club}', 'ClubController@index')->name('club.show');
Route::get('/vereinsverzeichnis/verband/{association}', 'AssociationController@index')->name('association.show');

//Submissions
Route::get('/vereinsverzeichnis/submissions/create', 'SubmissionController@create')->name('submissions.create');
Route::get('/vereinsverzeichnis/submissions/{club}/edit', 'SubmissionController@edit')->name('submissions.edit');
Route::post('/vereinsverzeichnis/submissions/{club}', 'SubmissionController@update')->name('submissions.update');
Route::post('/vereinsverzeichnis/submissions', 'SubmissionController@store')->name('submissions.store');


// AUTH
Route::group(['middleware' => 'auth'],function() {

    // BACKEND
    Route::group(['middleware' => 'isAdmin', 'namespace' => 'Backend', 'prefix' => 'backend', 'as' => 'backend.'], function () {

        // DASHBOARD
        Route::get('/', function () {
            return redirect()->route('backend.dashboard.index');
        })->name('home');

        Route::resource('/dashboard', 'DashboardController');

        // ADMINISTRATION
        Route::group(['namespace' => 'Admin', 'as' => 'admin.', 'prefix' => 'admin'], function () {
            Route::group(['namespace' => 'Settings', 'as' => 'settings.', 'prefix' => 'einstellungen'], function () {
                Route::group(['namespace' => 'System', 'as' => 'system.', 'prefix' => 'system'], function () {
                    Route::get('/newsticker', 'NewsTickerController@edit')->name('newsticker.edit');
                    Route::post('/newsticker', 'NewsTickerController@update')->name('newsticker.update');
                    Route::get('blog-hintergrund/{setting}', 'SettingController@edit')->name('blog-background.edit');
                    Route::put('blog-hintergrund/{setting}', 'SettingController@update')->name('blog-background.update');
                });

                Route::group(['namespace' => 'Functions', 'as' => 'functions.', 'prefix' => 'funktionen'], function () {
                    Route::group(['namespace' => 'Blog', 'as' => 'blog.', 'prefix' => 'blog'], function () {
                        Route::resource('/categories', 'CategoryController');
                        Route::resource('/subcategories', 'SubCategoryController');
                    });
                    Route::group(['namespace' => 'Workout', 'as' => 'workout.', 'prefix' => 'trainingsuebungen'], function () {
                        Route::resource('/categories', 'CategoryController');
                        Route::resource('/subcategories', 'SubCategoryController');
                    });
                });
            });


            Route::resource('/submissions', 'SubmissionController');
            Route::resource('/clubs', 'ClubController');
            Route::resource('/associations', 'AssociationController');


            Route::resource('/benutzer', 'UserController',['parameters' => ['benutzer' => 'user'], 'names' => 'users']);
        });

        // BLOG
        Route::group(['as' => 'blog.', 'prefix' => 'blog'], function () {
            Route::resource('/posts', 'BlogController',['except' => ['show','index','create']]);
            Route::get('/posts/{cat?}', 'BlogController@index')->name('posts.index');
            Route::get('/posts/create/{cat?}', 'BlogController@create')->name('posts.create');
        });

        // TRAININGSÜBUNGEN
        Route::group(['as' => 'workout.', 'prefix' => 'trainingsuebungen'], function () {
            Route::resource('/posts', 'WorkoutController',['except' => ['show','index','create']]);
            Route::get('/posts/{cat?}', 'WorkoutController@index')->name('posts.index');
            Route::get('/posts/create/{cat?}', 'WorkoutController@create')->name('posts.create');
        });




    });

});

app/Models/Submission.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Submission extends Model
{

}

app/Http/Controllers/Backend/Admin/SubmissionController.php
<?php

namespace App\Http\Controllers\Backend\Admin;

use App\Models\Association;
use App\Models\Club;
use App\Models\Submission;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SubmissionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $submissions = Submission::all();

        return view('backend.admin.submissions.index',['submissions' => $submissions]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Submission  $submission
     * @return \Illuminate\Http\Response
     */
    public function show(Submission $submission)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Submission  $submission
     * @return \Illuminate\Http\Response
     */
    public function edit(Submission $submission)
    {
        $club = !empty($submission->club_id) ? Club::Where('id',$submission->club_id)->first() : Club::Where('title','like','%'.$submission->title.'%')->first();
        $associations = Association::all();
        $association = Association::Where('title','like','%'.$submission->association.'%')->first();

        return view('backend.admin.submissions.edit',['submission' => $submission,'club' => $club,'associations' => $associations, 'associationSelected' => $association]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Submission  $submission
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Submission $submission)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'street' => 'nullable|string|max:255',
            'zip' => 'nullable|string|max:6',
            'city' => 'nullable|string|max:255',
            'phone' => 'nullable|string|max:15',
            'fax' => 'nullable|string|max:15',
            'email' => 'nullable|string|max:100',
            'uri' => 'nullable|string|max:255',
            'stadium' => 'nullable|string|max:255',
            'association_id' => 'nullable|integer|exists:associations,id',
            'facebook' => 'nullable|string|max:255',
            'twitter' => 'nullable|string|max:255',
            'youtube' => 'nullable|string|max:255',
            'instagram' => 'nullable|string|max:255',
            'description' => 'nullable|string',
        ]);

        if($request->input('action') == "approve" || $request->input('action') == "new" && $submission->status !== 1){

            if($request->input('action') == "new" && empty($submission->club_id))
                $club = new Club();
            else{
                $club = !empty($submission->club_id) ? Club::Where('id',$submission->club_id)->first() : Club::Where('title','like','%'.$submission->title.'%')->first();
                $club = $club ?? new Club();
            }



            $club->title = $request->input('title');
            $club->street = $request->input('street');
            $club->zip = $request->input('zip');
            $club->city = $request->input('city');
            $club->phone = $request->input('phone');
            $club->fax = $request->input('fax');
            $club->email = $request->input('email');
            $club->uri = $request->input('uri');
            $club->stadium = $request->input('stadium');
            $club->association_id = $request->input('association_id');
            $club->facebook = $request->input('facebook');
            $club->twitter = $request->input('twitter');
            $club->youtube = $request->input('youtube');
            $club->instagram = $request->input('instagram');
            $club->description = $request->input('description');

            $club->save();

            $submission->status = 1;

        }
        elseif($submission->status !== 2)
            $submission->status = 2;

        $submission->save();

        return redirect()->route('backend.admin.submissions.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Submission  $submission
     * @return \Illuminate\Http\Response
     */
    public function destroy(Submission $submission)
    {
        //
    }
}

resources/views/backend/admin/submissions/edit.blade.php
@extends('layouts.backend.app')

@section('title',"Vorschlag Bearbeiten - ")

@section('page','Vorschlag Bearbeiten')

@section('breadcrumb')
    <li class="breadcrumb-item">
        <a href="{{route('backend.admin.submissions.index')}}">Vorschläge</a>
    </li>
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Vorschlag Bearbeiten</h1>

            <div class="row">

                <div class="col-md-6">

                    <h3 class="page-header">Vorschlag:</h3>

                    <form id="submission" method="POST" class="form-horizontal" action="{{route('backend.admin.submissions.update',$submission->id)}}">

                        {{csrf_field()}}
                        {{method_field('PUT')}}

                        {{-- Name, Kontaktdaten --}}
                        <div class="form-group">
                            <label for="title" class="control-label col-md-2">Name:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="title" value="{{old('title',$submission->title)}}" />
                            </div>

                            <label for="street" class="control-label col-md-2">Adresse:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="street" value="{{old('street',$submission->street)}}" />
                            </div>

                            <label for="zip" class="control-label col-md-2">PLZ:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="zip" value="{{old('zip',$submission->zip)}}" />
                            </div>

                            <label for="city" class="control-label col-md-2">Ort:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="city" value="{{old('city',$submission->city)}}" />
                            </div>

                            <label for="phone" class="control-label col-md-2">Telefon:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="phone" value="{{old('phone',$submission->phone)}}" />
                            </div>

                            <label for="fax" class="control-label col-md-2">Fax:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="fax" value="{{old('fax',$submission->fax)}}" />
                            </div>

                            <label for="email" class="control-label col-md-2">Email:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="email" value="{{old('email',$submission->email)}}" />
                            </div>

                            <label for="uri" class="control-label col-md-2">Webseite:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="uri" value="{{old('uri',$submission->uri)}}" />
                            </div>
                        </div>

                        <hr />

                        {{-- Stadion und Verband --}}
                        <div class="form-group">
                            <label for="stadium" class="control-label col-md-2">Stadion:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="stadium" value="{{old('stadium',$submission->stadium)}}" />
                            </div>

                            <label for="association" class="control-label col-md-2">Verband:</label>
                            <div class="col-md-10 col-lg-4">
                                <select class="form-control" name="association_id">
                                    @foreach($associations as $association)
                                        <option value="{{$association->id}}" @if(old('association_id',$associationSelected->id ?? 0) == $association->id) selected @endif>{{$association->title}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <hr />

                        {{-- Social --}}
                        <div class="form-group">
                            <label for="facebook" class="control-label col-md-2">Facebook:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="facebook" value="{{old('facebook',$submission->facebook)}}" />
                            </div>

                            <label for="twitter" class="control-label col-md-2">Twitter:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="twitter" value="{{old('twitter',$submission->twitter)}}" />
                            </div>

                            <label for="youtube" class="control-label col-md-2">Youtube:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="youtube" value="{{old('youtube',$submission->youtube)}}" />
                            </div>

                            <label for="instagram" class="control-label col-md-2">Instagram:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="instagram" value="{{old('instagram',$submission->instagram)}}" />
                            </div>
                        </div>

                        <hr />

                        {{-- Beschreibung --}}
                        <div class="form-group">
                            <label for="description" class="control-label col-md-2">Beschreibung:</label>
                            <div class="col-md-10">
                                <textarea id="editor" class="form-control" name="description" rows="20">
                                    {!! old('description',$submission->description) !!}
                                </textarea>
                            </div>
                        </div>

                    </form>

                </div>





                <div class="col-md-6">

                    <h3 class="page-header">Aktuell in der Datenbank:</h3>

                    <div class="form-horizontal">

                        {{csrf_field()}}

                        {{-- Name, Kontaktdaten --}}
                        <div class="form-group">
                            <label for="title" class="control-label col-md-2">Name:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="title" value="{{$club->title ?? ""}}" readonly />
                            </div>

                            <label for="street" class="control-label col-md-2">Adresse:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="street" value="{{$club->street ?? ""}}" readonly />
                            </div>

                            <label for="zip" class="control-label col-md-2">PLZ:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="zip" value="{{$club->zip ?? ""}}" readonly />
                            </div>

                            <label for="city" class="control-label col-md-2">Ort:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="city" value="{{$club->city ?? ""}}" readonly />
                            </div>

                            <label for="phone" class="control-label col-md-2">Telefon:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="phone" value="{{$club->phone ?? ""}}" readonly />
                            </div>

                            <label for="fax" class="control-label col-md-2">Fax:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="fax" value="{{$club->fax ?? ""}}" readonly />
                            </div>

                            <label for="email" class="control-label col-md-2">Email:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="email" value="{{$club->email ?? ""}}" readonly />
                            </div>

                            <label for="uri" class="control-label col-md-2">Webseite:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="uri" value="{{$club->uri ?? ""}}" readonly />
                            </div>
                        </div>

                        <hr />

                        {{-- Stadion und Verband --}}
                        <div class="form-group">
                            <label for="stadium" class="control-label col-md-2">Stadion:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="stadium" value="{{$club->stadium ?? ""}}" readonly />
                            </div>

                            <label for="association" class="control-label col-md-2">Verband:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="association" value="{{$club->association->title ?? ""}}" readonly />
                            </div>
                        </div>

                        <hr />

                        {{-- Social --}}
                        <div class="form-group">
                            <label for="facebook" class="control-label col-md-2">Facebook:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="facebook" value="{{$club->facebook ?? ""}}" readonly />
                            </div>

                            <label for="twitter" class="control-label col-md-2">Twitter:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="twitter" value="{{$club->twitter ?? ""}}" readonly />
                            </div>

                            <label for="youtube" class="control-label col-md-2">Youtube:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="youtube" value="{{$club->youtube ?? ""}}" readonly />
                            </div>

                            <label for="instagram" class="control-label col-md-2">Instagram:</label>
                            <div class="col-md-10 col-lg-4">
                                <input class="form-control" name="instagram" value="{{$club->instagram ?? ""}}" readonly />
                            </div>
                        </div>

                        <hr />

                        {{-- Beschreibung --}}
                        <div class="form-group">
                            <label for="description" class="control-label col-md-2">Beschreibung:</label>
                            <div class="col-md-10">
                                <div class="well">
                                    {!! $club->description ?? "" !!}
                                </div>

                            </div>
                        </div>

                    </div>

                </div>

            </div>

            <hr />

            <div class="row">

                <div class="col-md-12">
                    @if($submission->status !== 1)
                        <button form="submission" name="action" value="approve" class="btn btn-primary pull-right">Vorschlag übernehmen</button>
                        @if(empty($submission->club_id))
                            <button form="submission" name="action" value="new" class="btn btn-success pull-right" style="margin-right: 10px;">Vorschlag als neuen Verein anlegen</button>
                        @endif

                        @if($submission->status !== 2)
                            <button form="submission" name="action" value="deny" class="btn btn-danger pull-right" style="margin-right: 10px;">Ablehnen</button>
                        @endif
                    @endif
                </div>

            </div>

            <br />


        </div>
    </div>
@endsection

@section('scripts')
    <script src="//cdn.ckeditor.com/4.5.7/standard/ckeditor.js"></script>
    <script>
        CKEDITOR.replace( 'editor' );
    </script>
@endsection

resources/views/backend/admin/submissions/index.blade.php
@extends('layouts.backend.app')

@section('title',"Vorschläge - ")

@section('page','Vorschläge Übersicht')

@section('breadcrumb')
    <li class="breadcrumb-item">
        <a href="{{route('backend.admin.submissions.index')}}">Vorschläge</a>
    </li>
@endsection

@section('content')


    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Vorschläge</h1>

            <table class="table table-striped table-hover table-bordered">
                <thead>
                    <tr>
                        <th>Verein</th>
                        <th>Typ</th>
                        <th>Datum</th>
                        <th>Autor</th>
                        <th>Status
                        <th></th>
                    </tr>
                </thead>

                <tbody>
                    @foreach($submissions as $submission)
                        <tr>
                            <td>{{$submission->title}}</td>
                            <td>@if(empty($submission->club_id)) Neuer Verein @else Änderungsvorschlag @endif</td>
                            <td data-order="{{$submission->updated_at->format('Y-m-d H:i:s')}}">{{$submission->updated_at->format('d.m.Y, H:i \U\h\r')}}</td>
                            <td>{{$submission->author ?? "Anonym"}}</td>
                            <td>@if($submission->status == 0) Offen @elseif($submission->status == 1) Akzeptiert @else Abgelehnt @endif</td>
                            <td><a href="{{route('backend.admin.submissions.edit',$submission->id)}}" class="btn btn-warning"><i class="fa fa-edit"></i></a></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>

        </div>
        <!-- /.col-lg-12 -->
    </div>
    <!-- /.row -->

@endsection

@section('scripts')
    <script src="{{asset('vendor/datatables/js/jquery.dataTables.js')}}"></script>
    <script src="{{asset('vendor/datatables/js/dataTables.bootstrap.js')}}"></script>
    <script>
        $(document).ready(function() {
            $('.table').DataTable({
                "language": {
                    "url": "{{asset('js')}}/dataTables.german.lang"
                },
                "order": [[2,'desc']]
            });
        } );
    </script>
@endsection